import { defineComponent, ref, watch } from 'vue';
import styles from './index.module.less';

export default defineComponent({
  name: 'song-modal',
  props: {
    item: {
      type: Object,
      default: () => ({})
    }
  },
  setup(props) {
    const iframeRef = ref();
    const isLoaded = ref(false);
    const origin = /(localhost|192)/.test(location.host)
      ? 'https://dev.kt.colexiu.com'
      : location.origin;
    const src = `${origin}/instrument?id=${props.item.content}&modelType=practise`;
    return () => (
      <div class={styles.musicScore}>
        <iframe
          ref={iframeRef}
          onLoad={() => {
            // emit('setIframe', iframeRef.value);
            isLoaded.value = true;
          }}
          class={[styles.container, 'musicIframe']}
          frameborder="0"
          src={src}></iframe>
      </div>
    );
  }
});
